std::exception(3)

NAME
std::exception -

SYNOPSIS

Inherited by bad_alloc, bad_cast, bad_exception, bad_typeid, ios_base::failure, logic_error, runtime_error, bad_function_call, and bad_weak_ptr.

Detailed Description

This is the base class for all exceptions thrown by the standard library, and by certain language expressions. You are free to derive your own exception classes, or use a different hierarchy, or to throw non-class data (e.g., fundamental types).

Definition at line 54 of file exception.

  Public Member Functions
exception () throw ()
virtual const char * what () const throw ()

Member Function Documentation

  virtual const char* what () const throw () [virtual]

Returns a C-style character string describing the general cause of the current error.

Reimplemented in ios_base::failure, bad_weak_ptr, logic_error, and runtime_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.